Loading...
Searching...
No Matches
Error handling
Utilities

## Topics

| MAGMA error codes

## Functions

void | magma_xerbla (const char *srname, magma_int_t neg_info)
| magma_xerbla is an error handler for the MAGMA routines.
const char * | magma_strerror (magma_int_t err)

## Detailed Description

## Function Documentation

## magma_xerbla()

void magma_xerbla | ( | const char * | srname,
|  | magma_int_t | neg_info )

magma_xerbla is an error handler for the MAGMA routines.

It is called by a MAGMA routine if an input parameter has an invalid value. It prints an error message.

Installers may consider modifying it to call system-specific exception-handling facilities.

Parameters

  [in] | srname | CHAR* The name of the subroutine that called XERBLA. In C/C++ it is convenient to use "__func__".
  [in] | neg_info | INTEGER Error code. Note neg_info's sign is opposite info's normal sign.

Normally:

- neg_info > 0: The position of the invalid parameter in the parameter list of the calling routine.

The conditions below are also reported, but normally code should not call xerbla for these runtime errors:

- neg_info < 0: Function-specific error.
- neg_info >= -MAGMA_ERR: Pre-defined MAGMA error, such as malloc failure.
- neg_info == 0: No error.

## magma_strerror()

const char * magma_strerror | ( | magma_int_t | err | ) |

Returns
  String describing MAGMA errors (magma_int_t).

Parameters

  [in] | err | Error code.